Обсудим увиденное или прочитанное

Обсуждение конференций, выставок, событий...

279 тем в этом разделе

    • 339 ответов
    • 59 540 просмотров
    • 620 ответов
    • 57 327 просмотров
    • 149 ответов
    • 25 711 просмотр
    • 125 ответов
    • 22 549 просмотров
    • 148 ответов
    • 20 414 просмотра
    • 101 ответ
    • 19 834 просмотра
    • 180 ответов
    • 18 944 просмотра
    • 160 ответов
    • 18 413 просмотра
    • 30 ответов
    • 16 694 просмотра
    • 98 ответов
    • 16 460 просмотров
    • 98 ответов
    • 15 912 просмотра
    • 94 ответа
    • 15 709 просмотров
    • 93 ответа
    • 15 321 просмотр
    • 78 ответов
    • 14 960 просмотров
    • 78 ответов
    • 14 871 просмотр
    • 327 ответов
    • 13 873 просмотра
    • 65 ответов
    • 13 821 просмотр
    • 74 ответа
    • 13 648 просмотров
    • 85 ответов
    • 13 458 просмотров
    • 48 ответов
    • 13 053 просмотра
    • 98 ответов
    • 12 900 просмотров
    • 61 ответ
    • 11 678 просмотров
    • 47 ответов
    • 11 372 просмотра
    • 71 ответ
    • 11 297 просмотров
    • 56 ответов
    • 11 196 просмотров
    • 65 ответов
    • 11 185 просмотров
    • 53 ответа
    • 11 050 просмотров
    • 52 ответа
    • 10 328 просмотров
    • 61 ответ
    • 10 092 просмотра
    • 80 ответов
    • 9 869 просмотров
    • 61 ответ
    • 8 927 просмотров
    • 27 ответов
    • 8 863 просмотра
    • 45 ответов
    • 8 267 просмотров
    • 29 ответов
    • 8 052 просмотра
    • 55 ответов
    • 7 952 просмотра
    • 50 ответов
    • 7 886 просмотров
    • 45 ответов
    • 7 764 просмотра
    • 38 ответов
    • 7 497 просмотров
    • 34 ответа
    • 6 703 просмотра
    • 35 ответов
    • 6 620 просмотров
    • 22 ответа
    • 6 493 просмотра
    • 46 ответов
    • 6 417 просмотров
    • 39 ответов
    • 6 351 просмотр
    • 48 ответов
    • 6 322 просмотра
    • 28 ответов
    • 6 168 просмотров
    • 35 ответов
    • 6 145 просмотров
    • 24 ответа
    • 5 818 просмотров
    • 41 ответ
    • 5 690 просмотров
    • 26 ответов
    • 5 439 просмотров
    • 27 ответов
    • 5 405 просмотров
  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу



  • Сообщения

    • lexincton
      Если адрес плоскостей стандартный поместите перед выводом кругового перемещения: MOM_enable_address G_plane MOM_force once G_plane   PS: G_plane конечно должен присутствовать в кадре кругового движения
    • lexincton
      1 человек ~1,5-3 недели работы с момента получения 3D модели станка = пост + верификатор Пост и верификатор сравнительно простые -  3-осевой токарно-фрезерный, с усложнением на разделение в 3 канала и реализацией точек синхронизации На видео отладочную инфу забыли убрать в виде mom_run_number = ... поэтому видео прервано перед ошибкой @Ug_user Как человеку прожженому должно быть известно, что в подобных примерах есть проблема в драйвере по управлению ЗвПО (по крайней мере в недавних версиях)-при перемещении ЗвПО в разные стороны
    • SHARit
      Дядя Лобзик, ты дурак?
    • ChipX
    • Mrt23
      Ну извините, уважаемый @lobzik, мы не избалованы...)
    • Brain (Pinkies friend)
      Доброго времени суток! Имею задачу найти на выделенных листах объекты типа NXOpen.Annotations.IdSymbol. Выделенные листы получаю через UI.GetUI().SelectionManager.GetSelectedTaggedObject(i), где они NXOpen.View. Для поиска объектов использую AskVisibleObjects(), который ругается на все неактивные листы (DrawingSheet). На просторах сети нашёл решение, использующее "костыль" в виде открывания  листа и поиска объектов в нём. Подскажите, пожалуйста как зная вид получить ссыль на конкретный лист, зная вид. Ну или другой путь решения. Собственно, код:
        private void button1_Click(object sender, EventArgs e) { int SelectedObjNum = UI.GetUI().SelectionManager.GetNumSelectedObjects(); for (int i = 0; i <= SelectedObjNum - 1; i++) { NXOpen.NXObject selectedObject = (NXOpen.NXObject)UI.GetUI().SelectionManager.GetSelectedTaggedObject(i);//UI.GetUI().SelectionManager.GetSelectedObject(0); NXOpen.View drawingView = (NXOpen.View)selectedObject; if (selectedObject != null) { DisplayableObject[] displayableObjects = drawingView.AskVisibleObjects(); foreach (DisplayableObject disobj in displayableObjects) { if (disobj.GetType().ToString() == "NXOpen.Annotations.IdSymbol") { listBox1.Items.Add("___"); NXOpen.Annotations.IdSymbol symObject = (NXOpen.Annotations.IdSymbol)disobj; AddSymInfOnList(symObject); } } } } }  
    • LxCoder
      Товарищ LxCoder ничего не утверждает и, уж тем более, не навязывает. Делайте как вашей душе угодно, и как Вам понятнее... Нравится изобретать велосипед заново - дело Ваше. Есть косой десяток способов сделать одно и то же.   Именно. Я половины не понял, что вы понаписали и для чего вам все эти фельдиперсовые функции. Углы можно рассчитать один из другого - абсолютно любые, если понимать, что хочется получить на выходе. В G-Post математический аппарат с большим количеством параметров, настроек - он вполне достаточен (по моему личному мнению) для успешного решения 99% реальных задач. Для 1% скорее всего придется использовать некоторые свои формулы преобразования (например, для станков с не вполне обычной геометрией расположения осей, например, как в DMU 160, где угловая голова расположена под 45 градусов к оси Z...).
    • Sergei
    • lexx174
      да давно,в авиапроме в этом плане неплохо продвинулись,и в плане стандартов тоже
    • lobzik
      Если Вам заработанного на этих операциях хватает на жизнь, и Вы еще можете, к примеру, делать какие то накопления - то это не демпинг.